// -*- C++ -*-
// $Id: client.cpp 78770 2007-07-04 05:19:15Z sowayaa $

#include "ifr_dii_client.h"

ACE_RCSID (Application_Test,
           client,
           "$Id: client.cpp 78770 2007-07-04 05:19:15Z sowayaa $")

int
ACE_TMAIN(int argc, ACE_TCHAR *argv[])
{
  IFR_DII_Client client;

  try
    {
      if (client.init (argc,
                       argv)
           == -1)
        {
          return 1;
        }
      else
        {
           int status = client.run ();

           if (status == -1)
           {
              return 1;
           }
        }
    }
  catch (const CORBA::Exception& ex)
    {
      ex._tao_print_exception ("Client Exception");
      return -1;
    }

  return 0;
}
